---
title: Get Segment Export Job Status
slug: data-platform/api/get-segment-export-job-status
docTags: 
createdAt: 2026-09-02T14:41:00.110Z
---

{
  "id": "x4NOhcFzfetThJ6PQxoO0",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.us1.odp.optimizely.com/v3/export-segment-members/{exportJobId}",
    "servers": [
      {
        "url": "https://api.us1.odp.optimizely.com/v3/export-segment-members/{exportJobId}",
        "description": "United States"
      },
      {
        "url": "https://api.eu1.odp.optimizely.com/v3/export-segment-members/{exportJobId}",
        "description": "Europe"
      },
      {
        "url": "https://api.au1.odp.optimizely.com/v3/export-segment-members/{exportJobId}",
        "description": "Asia-Pacific"
      }
    ],
    "name": "Get Segment Export Job Status",
    "description": "Fetch the status of a segment export request.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "exportJobId",
          "type": "string",
          "description": "<p>The export job ID to check. Example: \"3aab9524-5248-45f9-8102-0399872a921e\".</p>"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "ApiKeyAuth",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExportJobStatus",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "",
                "example": "3aab9524-5248-45f9-8102-0399872a921e"
              },
              {
                "name": "path",
                "kind": "required",
                "type": "string",
                "description": "",
                "example": "s3://zaius-outgoing/kIFB_X1VG2gf6caBn8LHtg/data-exports/3aab9524-5248-45f9-8102-0399872a921e"
              },
              {
                "name": "state",
                "kind": "required",
                "type": "string<pending | running | completed | completed_with_errors>",
                "description": "",
                "example": "pending",
                "enum": [
                  "pending",
                  "running",
                  "completed",
                  "completed_with_errors"
                ]
              },
              {
                "name": "exportRowCount",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "",
                "example": 14,
                "format": "int64"
              },
              {
                "name": "exportType",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "data"
              },
              {
                "name": "requestedAt",
                "kind": "required",
                "type": "string<date-time>",
                "description": "",
                "example": "2018-09-11T02:07:10.000Z",
                "format": "date-time"
              },
              {
                "name": "startedAt",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "format": "date-time"
              },
              {
                "name": "endedAt",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "format": "date-time"
              },
              {
                "name": "presignedUrls",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "[\"https://s3.amazonaws.com/abc123/data-exports/abc123/has_email_0_0_0.csv.gz?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20250403T162222Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3599&X-Amz-Credential=abc123%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=abc123\"]",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "https://s3.amazonaws.com/abc123/data-exports/abc123/has_email_0_0_0.csv.gz?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20250403T162222Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3599&X-Amz-Credential=abc123%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=abc123",
                "itemDefault": ""
              },
              {
                "name": "active",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "format",
                "kind": "optional",
                "type": "string<csv | parquet>",
                "description": "",
                "enum": [
                  "csv",
                  "parquet"
                ]
              },
              {
                "name": "running",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "terminated",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "delimiter",
                "kind": "optional",
                "type": "string<tab | comma | pipe>",
                "description": "",
                "enum": [
                  "tab",
                  "comma",
                  "pipe"
                ]
              },
              {
                "name": "routeBase",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "trackerId",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "complete",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "pending",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "childErrors",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/ExportDefinition",
                "customType": "ExportDefinition",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "example": "3aab9524-5248-45f9-8102-0399872a921e"
                  },
                  {
                    "name": "format",
                    "kind": "required",
                    "type": "string<csv | parquet>",
                    "description": "",
                    "example": "csv",
                    "enum": [
                      "csv",
                      "parquet"
                    ]
                  },
                  {
                    "name": "delimiter",
                    "kind": "optional",
                    "type": "string<tab | comma | pipe>",
                    "description": "",
                    "example": "comma",
                    "enum": [
                      "tab",
                      "comma",
                      "pipe"
                    ]
                  },
                  {
                    "name": "select",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/Select",
                    "customType": "Select",
                    "schema": [
                      {
                        "name": "object",
                        "kind": "required",
                        "type": "string",
                        "description": "Target object for this selection filter.",
                        "example": "events"
                      },
                      {
                        "name": "fields",
                        "kind": "required",
                        "type": "array",
                        "description": "<p>An array of fields to export. The array ['*'] captures all fields from select.object, but does not follow any relations.</p>",
                        "example": "[\"product.name\"]",
                        "itemType": "string",
                        "customType": "string[]",
                        "itemExample": "[\"product.name\"]",
                        "itemDefault": ""
                      },
                      {
                        "name": "filter",
                        "kind": "optional",
                        "type": "map",
                        "description": "Refer to \"Filtering\" section.",
                        "example": "{\"field\":\"product.name\",\"operator\":\"=\",\"value\":\"%shoe%\"}",
                        "customType": "map<string, object>",
                        "schema": []
                      },
                      {
                        "name": "sorts",
                        "kind": "optional",
                        "type": "array",
                        "description": "Sort specification applied to each export file. A single table export may span multiple files.",
                        "modelRef": "#/components/schemas/Sort",
                        "customType": "Sort[]",
                        "schema": []
                      }
                    ]
                  },
                  {
                    "name": "exportType",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "data"
                  },
                  {
                    "name": "objects",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "[\"string\"]",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "[\"string\"]",
                    "itemDefault": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ExportJobStatus",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "string",
            "example": "{\"title\":\"Forbidden\",\"status\":403,\"timestamp\":\"2018-09-11T02:07:10.000Z\",\"detail\":{\"message\":\"Insufficient privileges to access this resource.\"}}",
            "description": "",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "string",
            "example": "{\"title\":\"Not Found\",\"status\":404,\"timestamp\":\"2018-09-11T02:07:10.000Z\",\"detail\":{\"message\":\"Unable to locate status for the export example.\"}}",
            "description": "",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ydoY24whdC5hR65zmb_l5",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.us1.odp.optimizely.com/v3/export-segment-members/{exportJobId} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "6nemuXyMKaIOkrwfGdYbk",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.us1.odp.optimizely.com/v3/export-segment-members/{exportJobId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "5XrRc-8rsBILYu4ktObyT",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.us1.odp.optimizely.com/v3/export-segment-members/{exportJobId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "a_VeWivkYRZYIQ97fppDV",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.us1.odp.optimizely.com/v3/export-segment-members/{exportJobId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ydoY24whdC5hR65zmb_l5"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"id\": \"3aab9524-5248-45f9-8102-0399872a921e\",\n  \"path\": \"s3://zaius-outgoing/kIFB_X1VG2gf6caBn8LHtg/data-exports/3aab9524-5248-45f9-8102-0399872a921e\",\n  \"state\": \"pending\",\n  \"exportRowCount\": 14,\n  \"exportType\": \"data\",\n  \"requestedAt\": \"2018-09-11T02:07:10.000Z\",\n  \"startedAt\": \"\",\n  \"endedAt\": \"\",\n  \"presignedUrls\": [\n    \"https://s3.amazonaws.com/abc123/data-exports/abc123/has_email_0_0_0.csv.gz?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20250403T162222Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3599&X-Amz-Credential=abc123%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=abc123\"\n  ],\n  \"active\": false,\n  \"format\": \"\",\n  \"running\": false,\n  \"terminated\": false,\n  \"delimiter\": \"\",\n  \"routeBase\": \"\",\n  \"trackerId\": \"\",\n  \"complete\": false,\n  \"pending\": false,\n  \"childErrors\": [\n    \"\"\n  ],\n  \"detail\": {\n    \"id\": \"3aab9524-5248-45f9-8102-0399872a921e\",\n    \"format\": \"csv\",\n    \"delimiter\": \"comma\",\n    \"select\": {\n      \"object\": \"events\",\n      \"fields\": [\n        \"[\\\"product.name\\\"]\"\n      ],\n      \"filter\": \"{\\\"field\\\":\\\"product.name\\\",\\\"operator\\\":\\\"=\\\",\\\"value\\\":\\\"%shoe%\\\"}\",\n      \"sorts\": [\n        \"\"\n      ]\n    },\n    \"exportType\": \"data\",\n    \"objects\": [\n      \"[\\\"string\\\"]\"\n    ]\n  }\n}"
        },
        {
          "id": "response-1-403",
          "language": "403",
          "code": "// Forbidden\n\"{\\\"title\\\":\\\"Forbidden\\\",\\\"status\\\":403,\\\"timestamp\\\":\\\"2018-09-11T02:07:10.000Z\\\",\\\"detail\\\":{\\\"message\\\":\\\"Insufficient privileges to access this resource.\\\"}}\""
        },
        {
          "id": "response-2-404",
          "language": "404",
          "code": "// Not Found\n\"{\\\"title\\\":\\\"Not Found\\\",\\\"status\\\":404,\\\"timestamp\\\":\\\"2018-09-11T02:07:10.000Z\\\",\\\"detail\\\":{\\\"message\\\":\\\"Unable to locate status for the export example.\\\"}}\""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}